Bug 1459249 - ed25519 keys working in FIPS mode
ed25519 keys working in FIPS mode
Status: CLOSED DUPLICATE of bug 1456853
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openssh (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Jelen
Stefan Dordevic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 11:50 EDT by Stefan Dordevic
Modified: 2017-12-04 05:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-04 05:23:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed dist-git patch (10.50 KB, patch)
2017-06-07 08:27 EDT, Jakub Jelen
no flags Details | Diff

  None (edit)
Description Stefan Dordevic 2017-06-06 11:50:21 EDT
Description of problem:

ed25519 key is working in FIPS mode.

If the host is put in the FIPS mode after machine provisioning/installing 'ed25519' keys are generated (sshd-keygen.service) and left.
Key can be then used in FIPS mode.

/etc/ssh/ssh_host_ed25519_key
/etc/ssh/ssh_host_ed25519_key.pub 

Version-Release number of selected component (if applicable):
openssh-7.4p1-11.el7
Comment 2 Jakub Jelen 2017-06-07 08:27 EDT
Created attachment 1285791 [details]
proposed dist-git patch

Note You need to log in before you can comment on or make changes to this bug.